react-date-chooser

    0.0.1 • Public • Published

    A simple reusable less bundle size date selector component for React

    Installation The package can be installed via NPM:

    npm install react-date-selector --save Below is a simple example of how to use the Datepicker in a React view.

    import React, { Component } from 'react'; import logo from './logo.svg'; import './App.css'; import SimpleDateSelector from 'react-date-selector';

    class App extends Component {

    onChange = (value) => { console.log('inside ' + JSON.stringify(value)); };

    render() { return (

    Welcome to React

    To get started, edit src/App.js and save to reload.

    ); } }

    export default App;

    Configuration The most basic use of the DateSelector can be described with:

    Compatibility React We're always trying to stay compatible with the latest version of React. We can't support all older versions of React.

    Compatible versions: React 15.5 or newer

    Browser Support: The date picker is compatible with the latest versions of Chrome, Firefox, and IE10+.

    Unfortunately, it is difficult to support legacy browsers while maintaining our ability to develop new features in the future. For IE9 support, it is known that the classlist polyfill is needed, but this may change or break at any point in the future.

    Local Development The master branch contains the latest version of the DateSelector component. To start your example app, you can run yarn start.

    License: Licensed under MIT license.

    Install

    npm i react-date-chooser

    DownloadsWeekly Downloads

    0

    Version

    0.0.1

    License

    MIT

    Unpacked Size

    161 kB

    Total Files

    9

    Last publish

    Collaborators

    • nshganesh